Name:           gpaint-2
Version:        0.3.3
Release:        %mkrel 8
Summary:        Simple Paint Application
Summary(de):	Ein einfaches Paint Programm
Group:          Graphics
License:	GPLv2+
URL:            http://www.gnu.org/software/gpaint/
Source0:        ftp://alpha.gnu.org/gnu/gpaint/%{name}-%{version}.tar.gz
Source2:        gpaint.png
Source3:        de.po
Patch0:	        01_drawing.patch
Patch1:	        02_remove_menu_h_reference.patch
Patch2:	        09_fix_menu_entry.patch
Patch3:	        10_fix_crash_on_font_select.patch
Patch4:	        11_fix_image_rotation.patch
Patch5:	        20_fix_line_width_combo.patch
Patch6:	        21_fix_crash_on_fill_button_click.patch
Patch7:	        22_fix_not_printable_string.patch
Patch8:	        23_add_accelerator_keys.patch
Patch9:	        24_fix_crash_on_failed_write.patch
Patch10:	25_fix_color_selection.patch
Patch11:	26_fix_toolbar.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglade2.0-devel >= 2.6.4
BuildRequires:	zlib-devel
BuildRequires:  gtk2-devel
BuildRequires:	gettext
Requires:   	libstdc++6
Obsoletes:  	%name < %version

%description
This is gpaint (GNU Paint), a small-scale painting program for GNOME, 
the GNU Desktop.  Gpaint does not attempt to compete with GIMP.  Think of GIMP 
is like Photoshop as gpaint is like Windows Paint.

gpaint-2 version 0.3.3 is not yet fully functional.
Thus some of the menu can function without his one-day or even
Crash of the program.

%description -l de
Dies ist gpaint (GNU Paint), ein kleines Malprogramm für GNOME,
den GNU Desktop. Gpaint versucht nicht mit GIMP zu konkurrieren. Während GIMP
mit Photoshop vergleichbar ist, ist gpaint eher Windows Paint vergleichbar.

gpaint-2  Version 0.3.3 ist noch nicht voll Funktionstüchtig.
So können einige Menüeintäge ohne Funktion sein oder sogar zum
Absturz des Programms führen.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

rm -Rf $RPM_BUILD_DIR/%{name}-%{version}/po/de.po
cp -a %{SOURCE3} $RPM_BUILD_DIR/%{name}-%{version}/po

%build
%configure2_5x --with-included-gettext
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GNU Paint
Comment=A small-scale painting program for GNOME, the GNU Desktop
Comment[de]=Ein kleines Malprogramm für GNOME,den GNU Desktop
Exec=%{_bindir}/%{name}
Icon=gpaint.png
Terminal=false
Type=Application
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
MimeType=image/gif;image/jpeg;image/png;image/bmp;image/x-eps;image/x-ico;image/x-portable-bitmap;image/x-portable-pixmap;image/x-xbitmap;image/x-xpixmap;
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root root) 
%doc AUTHORS COPYING  NEWS README THANKS
%{_bindir}/%{name}
%{_datadir}/gpaint/glade/gpaint.glade
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/gpaint.png

%changelog
* Fri Jun 04 2010 maik3531 <maik3531 at yahoo dot de> 0.3.3-8pclos2010
- clean Spec
- patchadjustment to fix Font selection
- sync original debian patches (works better as the new mdv package)

* Sat Mar 27 2010 maik3531 <maik3531 at yahoo dot de> 0.3.3-7pclos2010
- add debian fix toolbar patch

* Wed Dec 23 2009 maik3531 <maik3531 at yahoo dot de> 0.3.3-6pclos2010
- add debian fix color selection patch

* Sun Nov 15 2009 maik3531 <maik3531 at yahoo dot de> 0.3.3-5pclos2010
- add debian fix crash on failed write patch

* Tue Oct 20 2009 maik3531 <maik3531 at yahoo dot de> 0.3.3-4pclos2010
- updated menu entry

* Thu Oct 15 2009 maik3531 <maik3531 at yahoo dot de> 0.3.3-3pclos2010
- add patch to fix CTRL-V paste in gpaint

* Tue Sep 15 2009 maik3531 <maik3531 at yahoo dot de> 0.3.3-2pclos2009
- add patch fix_line_width_combo.patch, fix_image_rotation.patch, 
- fix_crash_on_fill_button_click.patch, fix_not_printable_string.patch

* Mon Sep 14 2009 maik3531 <maik3531 at yahoo dot de> 0.3.3-1pclos2009
- new Spec file Initial RPM release for PCLinuxOS
